import request from '@/utils/request'

// 查询服务商管理列表
export function listManage(query) {
  return request({
    url: '/system/manage/list',
    method: 'get',
    params: query
  })
}

// 查询服务商管理详细
export function getManage(id) {
  return request({
    url: '/system/manage/' + id,
    method: 'get'
  })
}

// 新增服务商管理
export function addManage(data) {
  return request({
    url: '/system/manage',
    method: 'post',
    data: data
  })
}

// 修改服务商管理
export function updateManage(data) {
  return request({
    url: '/system/manage',
    method: 'put',
    data: data
  })
}

// 删除服务商管理
export function delManage(id) {
  return request({
    url: '/system/manage/' + id,
    method: 'delete'
  })
}
// 上传营业执照
export function businessUpload(file) {
  return request({
    url: '/system/manage/businessUpload',
    method: 'post',
    data: {
      file
    }
  })
}
// 上传商家照片
export function storeUpload(file) {
  return request({
    url: '/system/manage/storeUpload',
    method: 'post',
    data: {
      file
    }
  })
}
// 上传文件
export function contractUpload(file) {
  return request({
    url: '/system/manage/contractUpload',
    method: 'post',
    data: {
      file
    }
  })
}
// 下载模板
export function importTemplate(file) {
  return request({
    url: '/system/manage/importTemplate ',
    method: 'post',
  })
}
